<%@page isErrorPage="false" errorPage="/jsp/internal/errorpage.jsp" %>
<%@taglib uri="/jsp/sap.ur.tld" prefix="page" %>
<%@include file="/jsp/internal/init.jsp" %>

<page:setResourceBundle name="previewtexts" />

<page:render>
      <ur:singleColumnLayout ur:id="scl1">
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c1">
          <ur:textView method="setContent" ur:design="HEADER1" ur:text="DataTip"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c2">
          <ur:textView method="setContent" ur:text="Use the DataTip control for displaying a message for the users."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="DataTip with type TEXT."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:flowLayout method="setContent" ur:id="fl1">
            <ur:flowLayoutItem method="addFlowLayoutItems">
              <ur:label method="setControl" ur:labelFor="tfDate1" ur:text="Delivery Date"/>
            </ur:flowLayoutItem>
            <ur:flowLayoutItem method="addFlowLayoutItems" ur:id="fl1i1" ur:itemDesign="DEFAULT">
              <ur:inputField method="setControl" ur:id="tfDate1"/>
            </ur:flowLayoutItem>
            <ur:flowLayoutItem method="addFlowLayoutItems" ur:itemDesign="DEFAULT">
              <ur:dataTip method="setControl" ur:connectedControlId="tfDate1" ur:text="Enter your desired delivery date"/>
            </ur:flowLayoutItem>
          </ur:flowLayout>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="DataTip with type ERROR."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:flowLayout method="setContent" ur:id="fl1">
            <ur:flowLayoutItem method="addFlowLayoutItems">
              <ur:label method="setControl" ur:labelFor="tfDate2" ur:text="Delivery Date"/>
            </ur:flowLayoutItem>
            <ur:flowLayoutItem method="addFlowLayoutItems" ur:id="fl1i1" ur:itemDesign="DEFAULT">
              <ur:inputField method="setControl" ur:id="tfDate2" ur:invalid="true" ur:value="12.05.2005"/>
            </ur:flowLayoutItem>
            <ur:flowLayoutItem method="addFlowLayoutItems" ur:itemDesign="DEFAULT">
              <ur:dataTip method="setControl" ur:connectedControlId="tfDate2" ur:text="Wrong Format! Supply date in format: yyyy-MM-dd" ur:type="ERROR"/>
            </ur:flowLayoutItem>
          </ur:flowLayout>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="DataTip with type WARNING."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:flowLayout method="setContent" ur:id="fl1">
            <ur:flowLayoutItem method="addFlowLayoutItems">
              <ur:label method="setControl" ur:labelFor="tfDate3" ur:text="Delivery Date"/>
            </ur:flowLayoutItem>
            <ur:flowLayoutItem method="addFlowLayoutItems" ur:id="fl1i1" ur:itemDesign="DEFAULT">
              <ur:inputField method="setControl" ur:id="tfDate3" ur:value="2005-05-12"/>
            </ur:flowLayoutItem>
            <ur:flowLayoutItem method="addFlowLayoutItems" ur:itemDesign="DEFAULT">
              <ur:dataTip method="setControl" ur:connectedControlId="tfDate3" ur:type="WARNING" ur:text="Desired delivery date is not reachable"/>
            </ur:flowLayoutItem>
          </ur:flowLayout>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="DataTip with type OK and AutoHideTimeout set to 5 seconds."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:flowLayout method="setContent" ur:id="fl1">
            <ur:flowLayoutItem method="addFlowLayoutItems">
              <ur:label method="setControl" ur:labelFor="tfDate4" ur:text="Delivery Date"/>
            </ur:flowLayoutItem>
            <ur:flowLayoutItem method="addFlowLayoutItems" ur:id="fl1i1" ur:itemDesign="DEFAULT">
              <ur:inputField method="setControl" ur:id="tfDate4" ur:value="2005-06-12"/>
            </ur:flowLayoutItem>
            <ur:flowLayoutItem method="addFlowLayoutItems" ur:itemDesign="DEFAULT">
              <ur:dataTip method="setControl" ur:connectedControlId="tfDate4" ur:text="Date is ok" ur:type="OK" ur:autoHideTimeout="5"/>
            </ur:flowLayoutItem>
          </ur:flowLayout>
        </ur:singleColumnLayoutCell>
      </ur:singleColumnLayout>
    </page:render>

<%@include file="/jsp/internal/end.jsp" %>