<%@page isErrorPage="false" errorPage="/jsp/internal/errorpage.jsp" %>
<%@taglib uri="/jsp/sap.ur.tld" prefix="page" %>
<%@include file="/jsp/internal/init.jsp" %>

<page:setResourceBundle name="previewtexts" />

<page:render>
      <ur:singleColumnLayout ur:id="scl1">
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c1">
          <ur:textView method="setContent" ur:design="HEADER1" ur:text="PopIn"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c2">
          <ur:textView method="setContent" ur:text="The PopIn control is used for temporarily inserting a message and additional screen elements on the screen, inside a table, or inside any other container control."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="PopIn within a PatternContainerTitle."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:patternContainerTitle method="setContent" ur:title="Organization" ur:design="TRANSPARENT">
            <ur:patternContainerContentItem method="addContent" ur:patternContentDesign="TRANSPARENT" ur:hasContentPadding="false">
              <ur:toolbar method="setContent">
                <ur:toolbarButton method="addItems" ur:hasShowAlwaysState="false" ur:text="New"/>
                <ur:toolbarButton method="addItems" ur:hasShowAlwaysState="false" ur:text="Save"/>
                <ur:toolbarButton method="addItems" ur:hasShowAlwaysState="false" ur:text="Details"/>
              </ur:toolbar>
            </ur:patternContainerContentItem>
            <ur:patternContainerContentItem method="addContent" ur:hasContentPadding="false" ur:patternContentDesign="TRANSPARENT">
              <ur:popIn method="setContent" ur:hasContent="true" ur:hasTextBar="true" ur:title="Enter a sales organization." ur:titleAreaDesign="CRITICAL">
                <ur:textBar method="setTextBar" ur:text="The system cannot derive further organizational data (for example, sales organization) from the document. Therefore processes, dependent on organizational data (for example, partner processing, pricing) cannot be executed."/>
                <ur:matrixLayout method="setContent">
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:text="Organizational Unit" ur:labelFor="tfOrganizationalUnit"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:inputField method="setContent" ur:id="tfOrganizationalUnit"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellSeparation="LARGE">
                      <ur:label method="setContent" ur:text="Division" ur:labelFor="tfDivision"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:inputField method="setContent" ur:id="tfDivision"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="tfSalesOrganization" ur:text="Sales Organization"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:inputField method="setContent" ur:id="tfSalesOrganization"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellSeparation="LARGE">
                      <ur:label method="setContent" ur:labelFor="tfSalesOffice" ur:text="Sales Office"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:inputField method="setContent" ur:id="tfSalesOffice"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:buttonRow method="setContent">
                        <ur:button method="addButtons" ur:text="Go" ur:design="EMPHASIZED"/>
                        <ur:button method="addButtons" ur:text="Cancel"/>
                      </ur:buttonRow>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                </ur:matrixLayout>
              </ur:popIn>
            </ur:patternContainerContentItem>
            <ur:patternContainerContentItem method="addContent" ur:patternContentDesign="FILL">
              <ur:matrixLayout method="setContent">
                <ur:matrixLayoutRow method="addRows">
                  <ur:matrixLayoutCell method="addCells">
                    <ur:label method="setContent" ur:text="Manager" ur:labelFor="tfManager"/>
                  </ur:matrixLayoutCell>
                  <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                    <ur:inputField method="setContent" ur:id="tfManager"/>
                  </ur:matrixLayoutCell>
                </ur:matrixLayoutRow>
                <ur:matrixLayoutRow method="addRows">
                  <ur:matrixLayoutCell method="addCells" ur:colSpan="2">
                    <ur:buttonRow method="setContent">
                      <ur:button method="addButtons" ur:text="Manager Details"/>
                    </ur:buttonRow>
                  </ur:matrixLayoutCell>
                </ur:matrixLayoutRow>
              </ur:matrixLayout>
            </ur:patternContainerContentItem>
          </ur:patternContainerTitle>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="PopIn within a SapTable."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
<ur:sapTable method="setContent" ur:colCount="9" ur:hasFooter="true" ur:hasToolbar="true" ur:id="tblPrfrmnce3" ur:rowCount="4" ur:titleText="Contacts / Activities" ur:verticalPaginatorId="vpag1" ur:visibleFirstRow="1" ur:visibleRowCount="4" ur:width="100%">
                      <ur:sapTableDefaultBody method="setTableBody" ur:id="tblPrfrmnce3Body">
                        <ur:sapTableRow method="addRows" ur:id="tblPrfrmnce3R0C" ur:rowIdx="0">
                          <ur:sapTableHeaderCell method="addCells" ur:isFirstCell="true" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                          <ur:sapTableHeaderCell method="addCells" ur:headerText="Date" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                          <ur:sapTableHeaderCell method="addCells" ur:headerText="Clerk" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                          <ur:sapTableHeaderCell method="addCells" ur:headerText="Contact Person" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                          <ur:sapTableHeaderCell method="addCells" ur:headerText="Dispute Case" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                          <ur:sapTableHeaderCell method="addCells" ur:headerText="Note" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                          <ur:sapTableHeaderCell method="addCells" ur:headerText="Status" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                          <ur:sapTableHeaderCell method="addCells" ur:headerText="Process" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                          <ur:sapTableHeaderCell method="addCells" ur:headerText="Attachment" ur:isLastCell="true" ur:sapTableId="tblPrfrmnce3" ur:wrapping="false"/>
                        </ur:sapTableRow>
                        <ur:sapTableRow method="addRows" ur:id="tblPrfrmnce3R1" ur:rowIdx="1">
                          <ur:sapTableSelectionCell method="addCells" ur:id="tblPrfrmnce3R1C0" ur:isFirstCell="true"  ur:rowIdx="1"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="1" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R1C1"  ur:rowIdx="1">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="07.09.2004"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="2" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R1C2"  ur:rowIdx="1">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Mr. Fox"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="3" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R1C3"  ur:rowIdx="1">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Ms. Soon"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="4" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R1C4"  ur:rowIdx="1">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Payment Difference"/>
                          </ur:sapTableCell>
                          <ur:sapTableHierarchicalCell method="addCells" ur:cellDesign="POPIN" ur:colIdx="5" ur:hasContent="false" ur:id="tblPrfrmnce3R1C5" ur:isClickable="true"  ur:rowIdx="1" ur:status="EXPANDED" ur:textAlign="CENTER"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="6" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R1C6"  ur:rowIdx="1">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Contacts required"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="7" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R1C7"  ur:rowIdx="1">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Payment"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="8" ur:hasContent="false" ur:id="tblPrfrmnce3R1C8" ur:isLastCell="true"  ur:rowIdx="1"/>
                        </ur:sapTableRow>
                        <ur:sapTableRow method="addRows" ur:rowIdx="popinR1">
                          <ur:sapTableCell method="addCells" ur:hasContent="false" ur:isFirstCell="true"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="POPIN" ur:colIdx="1" ur:colspan="8" ur:hasContentPadding="true" ur:isLastCell="true">
                            <ur:popIn method="setContent" ur:hasContent="true" ur:hasRemoveIcon="false" ur:id="popinR1Id">
                              <ur:singleColumnLayout method="setContent">
                                <ur:singleColumnLayoutCell method="addCells">
                                  <ur:textView method="setContent" ur:design="EMPHASIZED" ur:text="Additional Notes"/>
                                </ur:singleColumnLayoutCell>
                                <ur:singleColumnLayoutCell method="addCells">
                                  <ur:textEdit method="setContent" ur:rows="2" ur:text="Difference Payment 32.90 GBP, Invoice 183;" ur:width="100%"/>
                                </ur:singleColumnLayoutCell>
                                <ur:singleColumnLayoutCell method="addCells">
                                  <ur:button method="setContent" ur:enabled="false" ur:text="Difference allowed"/>
                                </ur:singleColumnLayoutCell>
                              </ur:singleColumnLayout>
                            </ur:popIn>
                          </ur:sapTableCell>
                        </ur:sapTableRow>
                        <ur:sapTableRow method="addRows" ur:id="tblPrfrmnce3R2" ur:rowIdx="2">
                          <ur:sapTableSelectionCell method="addCells" ur:id="tblPrfrmnce3R2C0" ur:isFirstCell="true" ur:rowIdx="2"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="1" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R2C1" ur:rowIdx="2">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="01.09.2004"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="2" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R2C2" ur:rowIdx="2">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Mr. John"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="3" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R2C3" ur:rowIdx="2">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Ms. Soon"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="4" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R2C4" ur:rowIdx="2">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Delivery damaged"/>
                          </ur:sapTableCell>
                          <ur:sapTableHierarchicalCell method="addCells" ur:colIdx="5" ur:hasContent="false" ur:id="tblPrfrmnce3R2C5" ur:isClickable="true" ur:rowIdx="2" ur:status="COLLAPSED" ur:textAlign="CENTER"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="6" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R2C6" ur:rowIdx="2">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="OK"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="7" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R2C7" ur:rowIdx="2">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Delivery"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="8" ur:hasContent="false" ur:id="tblPrfrmnce3R2C8" ur:isLastCell="true" ur:rowIdx="2"/>
                        </ur:sapTableRow>
                        <ur:sapTableRow method="addRows" ur:id="tblPrfrmnce3R3" ur:rowIdx="3">
                          <ur:sapTableSelectionCell method="addCells" ur:id="tblPrfrmnce3R3C0" ur:isFirstCell="true" ur:rowIdx="3"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="1" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R3C1" ur:rowIdx="3">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="25.08.2004"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="2" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R3C2" ur:rowIdx="3">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Mr. John"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="3" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R3C3" ur:rowIdx="3">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Mr. Talk"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="4" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R3C4" ur:rowIdx="3">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="None"/>
                          </ur:sapTableCell>
                          <ur:sapTableHierarchicalCell method="addCells" ur:colIdx="5" ur:hasContent="false" ur:id="tblPrfrmnce3R3C5" ur:isClickable="true" ur:rowIdx="3" ur:status="COLLAPSED" ur:textAlign="CENTER"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="6" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R3C6" ur:rowIdx="3">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="OK"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="7" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R3C7" ur:rowIdx="3">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Billing"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="8" ur:hasContent="false" ur:id="tblPrfrmnce3R3C8" ur:isLastCell="true" ur:rowIdx="3"/>
                        </ur:sapTableRow>
                        <ur:sapTableRow method="addRows" ur:id="tblPrfrmnce3R4" ur:rowIdx="4">
                          <ur:sapTableSelectionCell method="addCells" ur:id="tblPrfrmnce3R4C0" ur:isFirstCell="true" ur:rowIdx="4"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="1" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R4C1" ur:rowIdx="4">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="20.08.2004"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="2" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R4C2" ur:rowIdx="4">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Mr. Stevens"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="3" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R4C3" ur:rowIdx="4">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Mr. Too"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="4" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R4C4" ur:rowIdx="4">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="None"/>
                          </ur:sapTableCell>
                          <ur:sapTableHierarchicalCell method="addCells" ur:colIdx="5" ur:hasContent="false" ur:id="tblPrfrmnce3R4C5" ur:isClickable="true" ur:rowIdx="4" ur:status="COLLAPSED" ur:textAlign="CENTER"/>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="6" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R4C6" ur:rowIdx="4">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="OK"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="7" ur:hasContentPadding="true" ur:id="tblPrfrmnce3R4C7" ur:rowIdx="4">
                            <ur:textView method="setContent" ur:isNested="true" ur:text="Customer Order"/>
                          </ur:sapTableCell>
                          <ur:sapTableCell method="addCells" ur:cellDesign="TRANSPARENT" ur:colIdx="8" ur:hasContent="false" ur:id="tblPrfrmnce3R4C8" ur:isLastCell="true" ur:rowIdx="4"/>
                        </ur:sapTableRow>
                        <ur:sapTableColumn method="addCols" ur:width="14px"/>
                      </ur:sapTableDefaultBody>
                      <ur:toolbar method="setToolbar">
                        <ur:toolbarButton method="addItems" ur:text="Dial"/>
                        <ur:toolbarButton method="addItems" ur:text="Delete"/>
                        <ur:toolbarSeparator method="addItems"/>
                        <ur:toolbarComboBox method="addItems" ur:value="Email" ur:itemListBoxId="ilb1"/>
                        <ur:toolbarButton method="addItems" ur:text="Go"/>
                        <ur:toolbarSeparator method="addItems"/>
                        <ur:toolbarComboBox method="addItems" ur:labelText="Forward to" ur:value="None" ur:itemListBoxId="ilb2"/>
                        <ur:toolbarSeparator method="addItems"/>
                        <ur:toolbarComboBox method="addItems" ur:value="All Processes" ur:itemListBoxId="ilb3"/>
                        <ur:toolbarSeparator method="addItems"/>
                        <ur:itemListBox method="addItems" ur:id="ilb1" ur:isPopup="true">
                          <ur:itemListBoxItem method="addItems" ur:key="email" ur:value1="Email"/>
                          <ur:itemListBoxItem method="addItems" ur:key="li" ur:value1="Lorem Ipsum"/>
                        </ur:itemListBox>
                        <ur:itemListBox method="addItems" ur:id="ilb2" ur:isPopup="true">
                          <ur:itemListBoxItem method="addItems" ur:key="none" ur:value1="None"/>
                          <ur:itemListBoxItem method="addItems" ur:key="li" ur:value1="Lorem Ipsum"/>
                        </ur:itemListBox>
                        <ur:itemListBox method="addItems" ur:id="ilb3" ur:isPopup="true">
                          <ur:itemListBoxItem method="addItems" ur:key="all" ur:value1="All Processes"/>
                          <ur:itemListBoxItem method="addItems" ur:key="li" ur:value1="Lorem Ipsum"/>
                        </ur:itemListBox>
                      </ur:toolbar>
                      <ur:paginator method="setFooterContent" ur:hasItemJumper="false" ur:id="vpag1" ur:inputFieldWidth="4.0ex" ur:pageIndicatorText=" "/>
                    </ur:sapTable>
        </ur:singleColumnLayoutCell>
      </ur:singleColumnLayout>
    </page:render>

<%@include file="/jsp/internal/end.jsp" %>