<%@page isErrorPage="false" errorPage="/jsp/internal/errorpage.jsp" %>
<%@taglib uri="/jsp/sap.ur.tld" prefix="page" %>
<%@include file="/jsp/internal/init.jsp" %>

<page:setResourceBundle name="previewtexts" />

<page:render>
      <ur:singleColumnLayout ur:id="scl1">
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c1">
          <ur:textView method="setContent" ur:design="HEADER1" ur:text="Group"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c2">
          <ur:textView method="setContent" ur:text="Use the Group control to cluster a set of controls or information: it demonstrates which parts belong together, and separates them from other parts of content."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="Group with primary color."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:group ur:hasTitleCaption="true" ur:hasToolbar="true" ur:title="Organization">
            <ur:matrixLayout method="setContent">
              <ur:matrixLayoutRow method="addRows">
                <ur:matrixLayoutCell method="addCells">
                  <ur:label method="setContent" ur:labelFor="tfOrganizationalUnit" ur:text="Organizational Unit"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                  <ur:inputField method="setContent" ur:id="tfOrganizationalUnit"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellSeparation="LARGE">
                  <ur:label method="setContent" ur:labelFor="tfDivision" ur:text="Division"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                  <ur:inputField method="setContent" ur:id="tfDivision"/>
                </ur:matrixLayoutCell>
              </ur:matrixLayoutRow>
              <ur:matrixLayoutRow method="addRows">
                <ur:matrixLayoutCell method="addCells">
                  <ur:label method="setContent" ur:labelFor="tfSalesOrganization" ur:text="Sales Organization"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                  <ur:inputField method="setContent" ur:id="tfSalesOrganization"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellSeparation="LARGE">
                  <ur:label method="setContent" ur:labelFor="tfSalesOffice" ur:text="Sales Office"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                  <ur:inputField method="setContent" ur:id="tfSalesOffice"/>
                </ur:matrixLayoutCell>
              </ur:matrixLayoutRow>
              <ur:matrixLayoutRow method="addRows">
                <ur:matrixLayoutCell method="addCells">
                  <ur:buttonRow method="setContent">
                    <ur:button method="addButtons" ur:design="EMPHASIZED" ur:text="Go"/>
                    <ur:button method="addButtons" ur:text="Cancel"/>
                  </ur:buttonRow>
                </ur:matrixLayoutCell>
              </ur:matrixLayoutRow>
            </ur:matrixLayout>
          </ur:group>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="Group with secondary color and a toolbar."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:group ur:design="SECONDARYCOLOR" ur:hasToolbar="true" ur:title="Organization">
            <ur:matrixLayout method="setContent">
              <ur:matrixLayoutRow method="addRows">
                <ur:matrixLayoutCell method="addCells">
                  <ur:label method="setContent" ur:labelFor="tfOrganizationalUnit" ur:text="Organizational Unit"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                  <ur:inputField method="setContent" ur:id="tfOrganizationalUnit"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellSeparation="LARGE">
                  <ur:label method="setContent" ur:labelFor="tfDivision" ur:text="Division"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                  <ur:inputField method="setContent" ur:id="tfDivision"/>
                </ur:matrixLayoutCell>
              </ur:matrixLayoutRow>
              <ur:matrixLayoutRow method="addRows">
                <ur:matrixLayoutCell method="addCells">
                  <ur:label method="setContent" ur:labelFor="tfSalesOrganization" ur:text="Sales Organization"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                  <ur:inputField method="setContent" ur:id="tfSalesOrganization"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellSeparation="LARGE">
                  <ur:label method="setContent" ur:labelFor="tfSalesOffice" ur:text="Sales Office"/>
                </ur:matrixLayoutCell>
                <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                  <ur:inputField method="setContent" ur:id="tfSalesOffice"/>
                </ur:matrixLayoutCell>
              </ur:matrixLayoutRow>
              <ur:matrixLayoutRow method="addRows">
                <ur:matrixLayoutCell method="addCells">
                  <ur:buttonRow method="setContent">
                    <ur:button method="addButtons" ur:design="EMPHASIZED" ur:text="Go"/>
                    <ur:button method="addButtons" ur:text="Cancel"/>
                  </ur:buttonRow>
                </ur:matrixLayoutCell>
              </ur:matrixLayoutRow>
            </ur:matrixLayout>
            <ur:toolbar method="setToolbar">
              <ur:toolbarButton method="addItems" ur:hasShowAlwaysState="false" ur:text="Create New"/>
            </ur:toolbar>
          </ur:group>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="Group with SAP color."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:group ur:design="SAPCOLOR" ur:title="Filter By">
            <ur:checkBoxGroup method="setContent">
              <ur:checkBox method="addItems" ur:checked="true" ur:text="Org Unit"/>
              <ur:checkBox method="addItems" ur:text="Cost Center"/>
              <ur:checkBox method="addItems" ur:text="Position"/>
              <ur:checkBox method="addItems" ur:text="Employee"/>
            </ur:checkBoxGroup>
          </ur:group>
        </ur:singleColumnLayoutCell>
      </ur:singleColumnLayout>
    </page:render>

<%@include file="/jsp/internal/end.jsp" %>