<%@page isErrorPage="false" errorPage="/jsp/internal/errorpage.jsp" %>
<%@taglib uri="/jsp/sap.ur.tld" prefix="page" %>
<%@include file="/jsp/internal/init.jsp" %>

<page:setResourceBundle name="previewtexts" />

<page:render>
      <ur:matrixLayout ur:height="100%" ur:width="100%">
        <ur:matrixLayoutRow method="addRows">
          <ur:matrixLayoutCell method="addCells" ur:cellDesign="PADLESS" ur:vAlign="TOP">
            <ur:pageHeader method="setContent" ur:id="PHConfirmation" ur:title="Create Purchase Order">
              <ur:pageHeaderItem method="addItems" ur:id="PHConfirmationI0">
                <ur:roadMap method="setContent" ur:endPoint="SELECTED" ur:id="roadmap1">
                  <ur:roadMapItem method="addRoadItems" ur:id="roadmap1Item0" ur:name="1" ur:stepDescription="Select Documents" ur:stepDesign="DISABLED" ur:stepName="1"/>
                  <ur:roadMapItem method="addRoadItems" ur:id="roadmap1Item1" ur:itemIndex="1" ur:name="2" ur:stepDescription="Define Header Data" ur:stepDesign="DISABLED" ur:stepName="2"/>
                  <ur:roadMapItem method="addRoadItems" ur:id="roadmap1Item2" ur:itemIndex="2" ur:name="3" ur:stepDescription="Define Order Items" ur:stepDesign="DISABLED" ur:stepName="3"/>
                  <ur:roadMapItem method="addRoadItems" ur:id="roadmap1Item3" ur:itemIndex="3" ur:name="4" ur:stepDescription="Reviews" ur:stepDesign="DISABLED" ur:stepName="4"/>
                </ur:roadMap>
              </ur:pageHeaderItem>
            </ur:pageHeader>
          </ur:matrixLayoutCell>
        </ur:matrixLayoutRow>
        <ur:matrixLayoutRow method="addRows">
          <ur:matrixLayoutCell method="addCells" ur:cellDesign="PADLESS" ur:height="100%" ur:vAlign="TOP">
            <ur:scrollContainer method="setContent" ur:width="100%">
              <ur:gridLayout method="setContent" ur:width="100%">
                <ur:gridLayoutRow method="addRows">
                  <ur:gridLayoutCell method="addCells" ur:paddingLeft="5px" ur:paddingTop="5px" ur:vAlign="TOP">
                    <ur:contextualPanel method="setContent" ur:id="CNPConfirmation" ur:width="200">
                      <ur:freeContextualArea method="addItems" ur:design="FILL" ur:id="faSearch">
                        <ur:matrixLayout method="setContent" ur:width="100%">
                          <ur:matrixLayoutRow method="addRows">
                            <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                              <ur:label method="setControl" ur:design="EMPHASIZED" ur:designBar="LIGHT" ur:labelFor="fACombo" ur:text="Look for"/>
                            </ur:matrixLayoutCell>
                            <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                              <ur:comboBox method="setControl" ur:containerWidthSet="true" ur:id="fACombo" ur:itemListBoxId="ilbS" ur:value="Supplier" ur:width="100%"/>
                            </ur:matrixLayoutCell>
                            <ur:matrixLayoutCell method="addCells" ur:cellDesign="PADLESS">
                              <ur:itemListBox method="setContent" ur:id="ilbS" ur:isPopup="true">
                                <ur:itemListBoxItem method="addItems" ur:value1="Supplier" ur:key="s"/>
                                <ur:itemListBoxItem method="addItems" ur:value1="Lorem Ipsum" ur:key="li"/>
                              </ur:itemListBox>
                            </ur:matrixLayoutCell>
                          </ur:matrixLayoutRow>
                          <ur:matrixLayoutRow method="addRows">
                            <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD" ur:colSpan="2">
                              <ur:inputField method="setControl" ur:id="fAInput" ur:width="100%"/>
                            </ur:matrixLayoutCell>
                          </ur:matrixLayoutRow>
                          <ur:matrixLayoutRow method="addRows">
                            <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                              <ur:button method="setContent" ur:text="Go"/>
                            </ur:matrixLayoutCell>
                            <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD" ur:hAlign="ENDOFLINE">
                              <ur:toggleLink method="setContent" ur:text="Advanced Options"/>
                            </ur:matrixLayoutCell>
                          </ur:matrixLayoutRow>
                        </ur:matrixLayout>
                      </ur:freeContextualArea>
                    </ur:contextualPanel>
                  </ur:gridLayoutCell>
                  <ur:gridLayoutCell method="addCells" ur:paddingLeft="15px" ur:paddingRight="20px" ur:paddingTop="15px" ur:vAlign="TOP" ur:width="100%">
                    <ur:singleColumnLayout method="setContent">
                      <ur:singleColumnLayoutCell method="addCells" ur:cellDesign="PADLESS">
                        <ur:textView method="setContent" ur:text="Purchase Order 54954843 has been created successfully."/>
                      </ur:singleColumnLayoutCell>
                      <ur:singleColumnLayoutCell method="addCells">
                        <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE"/>
                      </ur:singleColumnLayoutCell>
                      <ur:singleColumnLayoutCell method="addCells">
                        <ur:textView method="setContent" ur:design="EMPHASIZED" ur:text="What do you want to do next?"/>
                      </ur:singleColumnLayoutCell>
                      <ur:singleColumnLayoutCell method="addCells">
                        <ur:link method="setContent" ur:linkType="FUNCTION" ur:text="Open purchase order for further editing"/>
                      </ur:singleColumnLayoutCell>
                      <ur:singleColumnLayoutCell method="addCells">
                        <ur:link method="setContent" ur:linkType="FUNCTION" ur:text="Create another purchase order"/>
                      </ur:singleColumnLayoutCell>
                      <ur:singleColumnLayoutCell method="addCells">
                        <ur:link method="setContent" ur:linkType="FUNCTION" ur:text="Save purchase order as template"/>
                      </ur:singleColumnLayoutCell>
                      <ur:singleColumnLayoutCell method="addCells">
                        <ur:link method="setContent" ur:linkType="FUNCTION" ur:text="Close window and return to Purchase Requests and Orders"/>
                      </ur:singleColumnLayoutCell>
                    </ur:singleColumnLayout>
                  </ur:gridLayoutCell>
                </ur:gridLayoutRow>
              </ur:gridLayout>
            </ur:scrollContainer>
          </ur:matrixLayoutCell>
        </ur:matrixLayoutRow>
      </ur:matrixLayout>
    </page:render>
    
<%@include file="/data/noMargin.jsp" %>    

<%@include file="/jsp/internal/end.jsp" %>